/********************************************//**
 * @brief
 * @file params.h
 * @author Daniele Ludovico, Fiorella Sibona
 * @date 19/04/2016
 * @brief File containing the parameter which 
 * describe the robot.
 *
 */
 
#ifndef PARAMS_H_INCLUDED
#define PARAMS_H_INCLUDED

#ifdef __cplusplus
extern "C" {
#endif

/**< height of the rotating base*/
#define l1 (float)0.1
/**< first arm lenght*/
#define l2 (float)0.7
/**< second arm lenght*/
#define l3 (float)0.5
/**< wrist lenght*/
#define l4 (float)0.1
/**< hand lenght*/
#define l5 (float)0.1

#define PI (float)3.141593

#ifdef __cplusplus
}
#endif

#endif // PARAMS_H_INCLUDED

